# Réunion Nounous

* Date : Jeudi 12 Janvier 2012
* Lieu : Pavillon des Jardins
* Début : 19h20
* Fin : 21h01

## Présents

* Daniel Stan
* Nicolas Dandrimont
* Olivier Iffrig
* Raphaël Cauderlier
* Sylvain Boilard
* Valentin Samir
* Yann Duplouy

## Ordre du jour

### Achat de nouveau matériel

#### Backbone

#### Carte de contrôle pour la baie de disques

### Interconnexion DSI-Cr@ns

La nouvelle interconnexion est en place depuis le 29 décembre. Olivier fait un
schéma de l'ancienne interconnexion au tableau, avec IRTS.

En résumé :

* Un nouveau switch bato-1 à l'autocom, qui fait l'interconnexion entre
   * le backbone (vlan 1, 2, 3, 4, 10, 21, 1132 - zrt)
   * le réseau de l'ENS (vlan 3, 4, 10, 21, 1132 - zrt)
   * le Pavillon des Jardins (vlan 1, 2, 3, 4, 10?, 21)
   * les appartements de la porterie (vlan 1, 2 - pour bato-1, 21)
* Nouvelle interconnexion 0B - Autocom: 3 paires de fibre, dont une pour le
  bâtiment G en direct, une pour bato-1, et une libre (branchée sur bato-1 à
  l'autocom)
* Suppression de l'interconnexion 0B - d'Alembert Centre qui était foireuse et
  génératrice de boucles difficiles à débugguer

#### Traffic Shaping

L'agrément RENATER de l'ENS étant pour 100Mb/s, le Cr@ns a mis en place du
traffic
shaping pour limiter son débit entrant et sortant.

La QoS est désactivée pour le trafic vers le réseau ENS dans le pare-feu.

Il faut réfléchir à une méthode pour shaper le trafic dynamiquement (n Mb/s la
journée, p Mb/s la nuit). Valentin propose de modifier config.py pour que le
débit max dépende de l'heure, et un cron pour régénérer la chaîne MANGLE qui
assigne les classes au trafic.

Il va mettre le cron en place rapidement, ce qui permettra de toute façon de
régénérer les classes de QoS de temps en temps. Apparemment il y aurait déjà un
cron de ce type en place.

### Migration des /home

Les /home ont été migrés aussi le 29 décembre, quitte à avoir une interruption
de service...

La partition était en place, il suffisait de désactiver les services, un dernier
rsync et de remplacer la partition dans le fstab.

### Logs

Une partition assez volumineuse vient d'être libérée. Une idée serait de s'en
servir pour centraliser les logs des serveurs et des domU.

À cette fin, il serait possible de réutiliser un serveur physique inutilisé, par
exemple ragnarok.

Sylvain regarde ce dont on a besoin précisément d'ici la prochaine réunion.

### Bornes wifi PicoStation

Adg a une config qui devrait marcher. Olivier l'a flashée sur une borne, ça
fonctionne, il faut attendre assez longtemps que ça reboote.

Reste à faire :

* vlan (pour pouvoir remettre des bornes en zone ENS)
* multi-ssid
* tests de portée
* tests de débit/charge

Sur les wrt54g:
<http://wiki.openwrt.org/_detail/toh/linksys/wrt54_internal_architecture.png?id=toh%3Alinksys%3Awrt54gi>

Olivier envisage de faire des trucs là dessus samedi.

### Monitoring

Munin a été migré sur dyson il y a quelques temps, la génération des graphes
est lente, mais fonctionne. Une nouvelle version de munin va sortir (elle est
en bêta stable depuis un an). La génération des graphes a été optimisée et on
peut zoomer sur les graphes en temps réel. Le protocole de communiation a aussi
été amélioré :
avant, le serveur munin contactait tous les noeuds leur demandant de générer
les données ; maintenant, les serveurs ont un agent qui génère les données en
continu. La première phase serait de mettre à jour munin sur le serveur (c'est
backwards-compatible). Nicolas a fait un backport. Il faut ensuite vérifier si
ça fonctionne, si c'est rapide.

Si tout ça se passe bien, il y a moyen de faire des trucs marrants sur les
clients.

### Questions Diverses

#### Load balancing DNS

Valentin propose de configurer le DHCP de telle manière à annoncer
alternativement sila et sable en serveur DNS.

Il faut mettre en place du monitoring de bind (via munin qui fonctionne, par
exemple)
pour voir si c'est vraiment nécessaire.

#### TFTP sur sable

Il faut le mettre sur une partition séparée, pour éviter de remplir le /var de
sable...

Le proxy transparent ayant été dégagé, plein d'espace disque est disponible.
Il serait aussi potentiellement intéressant de mettre un RAID. Sinon, Valentin
se porte volontaire pour faire la réinstall de sable from scratch si un disque
plante.

#### batp-3

Il est allumé, il ne ventile plus, il clignote rouge. Il faut appeler HP pour
le faire échanger.

#### Imprimante

Nicolas trouve que Print Platinium est désespérant
