# Réunion Nounous

* Date : Jeudi 06 septembre 2012
* Lieu : Pavillon des Jardins
* Début : 19h12
* Fin : 21h20

## Présents

* Daniel Stan
* Olivier Iffrig
* Pierre-Elliott Bécue
* Raphaël Cauderlier
* Steven Masfaraud
* Valentin Samir
* Vincent Guiraud
* Vincent Le Gallic
* Yann Duplouy

## Bilan des vacances

### Onduleur

Pulsar nous a lâché durant l'été, le module électronique était défaillant.
Eaton nous en a renvoyé un, qu'on a mis en place durant la grosse mise à jour
le 9 août.

Nicolas Dandrimont a proposé qu'on tire une seconde alimentation au 0B pour
servir de relais, ondulée ou non, depuis le local TGBT.

Il faut attendre la fin de la rentrée, et éventuellement se faire une idée des
comptes, pour faire des devis.

### Remplacement de la baie de disques

La baie de disques a enfin été remplacée, la migration s'est faite sans aucun
souci, et les scripts d'interface ont été refaits.

L'ancienne baie est toujours rackée au 0B.

À long terme, il faudrait remplacer les cinq disques de 300 Go restants par des
disques de 600 Go, voire plus s'il en existe d'ici là.

### Changement de serveur NFS

On a profité des changements massifs pour remplacer le nfs par une machine
free (daath).

À long terme, remplacer daath par une machine sous garantie ne serait pas
aberrant.

### Remplacement de zamok

Zamok a quitté son bel habit moisi pour aller dans celui de fx, qui venait de
se faire mettre au chômage technique.

Ça swappe moins, ça a huit coeurs, 16 Go de RAM, et ça se tourne un peu les
pouces, sauf quand spamassassin tourne.

### Suppression d'un MX

On a catapulté rouge dans le nether, parce que redisdead suffit.

freebox en profitait pour envoyer des mails, ce qui n'était pas normal. Par
ailleurs, freebox.crans.org est blacklisté par un serveur mail.

### Ragnarok

Le serveur de logs est mort, il était déjà mort quand il gérait le wifi.
Conclusion, on va arrêter de l'utiliser.

Il faut cependant le remplacer, dans un délai rapide. On va temporairement
spoofer sur vo.

Une demande de devis pour un serveur (idéalement rackable) supportant le SATA
sera faite. On le mettra au 0H s'il n'est pas rackable.

### Webmails

Vire-t-on horde ? Telle est la question.

L'idée est de rediriger webmail.crans.org vers une page d'informations listant
les webmails disponibles.

SOGo marche, mais certaines implémentations restent à faire. Pour l'instant,
mieux vaut proposer roundcube, et se donner quelques mois pour que Vincent
s'occupe de SOGo.

## Projets

### Séminaires (non techniques)

Steven demande s'il est envisageable de faire des séminaires basiques sur
l'utilisation des services du Crans.

Il trouve que les séminaires ont été réalisés jusqu'alors ne sont pas assez
pédagogues. Certains s'y connaissent (la plupart des apprentis avaient de
bonnes bases), et la majorité des personnes arrivant sur le campus n'ont pas
forcément les compétences nécessaires.

Il suggère de rajouter, en plus des séminaires techniques, un certain nombre de
séminaires grand public pour présenter l'utilisation des services du Cr@ns, de
Linux, ou de LaTeX par exemple.

Pierre-Elliott rappelle que lors d'une réunion aux alentours de juin, un ou
deux séminaires sur LaTeX avaient été prévus vers décembre.

* Présentation des services pour les adhérents (tv, mail, news, irc, gobby, …)
* Installation de Linux
* LaTeX (à prévoir vers décembre, faire de la pub auprès des départements)

### Séminaires

Une liste d'idées de séminaires a été ajoutée sur le wiki, donnez vos idées.
Deadline : jeudi 4 octobre.
Certains séminaires seront organisés sous la forme d'un atelier, notamment
shell, python, GPG, réseau ?

### Ménage câbleurs/apprentis

Une liste des apprentis inconnus au bataillon a été faite. Olivier va s'occuper
du ménage.

### WiFi

Valentin a fait un très joli logiciel pour le WiFi sous Windows Vista et Seven.

Il faudrait entamer un dossier à présenter au CROUS, pour installer le WiFi au
G et au M.

!InterProjekt est en rupture de stock pour les bornes reparties en Pologne...
On attend et on croise les doigts de pied.

## Questions diverses

### Comptage upload ipv6 et extensions de vie privée

La connectivité ipv6 est actuellement proposée au Crans. Le comptage d'upload
est par MAC-IP en ipv4 et 6. L'idée est d'autoriser les extensions de vie
privée (attribuer une IP aléatoire), pour éviter qu'on puisse identifier les
adhérents (leur adresse mac).

On souhaite rajouter au comptage d'upload les adresses mac des adhérents, pour
que l'attribution aléatoire d'adresse soit possible. Valentin a commencé à
faire des choses, il nous en dira plus au fil du temps.

### dnssec récursif

Valentin voudrait importer la clef de l'IANA dans bind pour que nos DNS
puissent valider du DNSsec.
