# Réunion du Collège Technique

* Date : Jeudi 17 octobre 2013
* Lieu : Pavillon des Jardin
* Début : 19h15
* Fin : 21h13

## Présents

* Ariane Soret
* Daniel Stan
* Jordan Delorme
* Lucas Serrano
* Pierre-Elliott Bécue
* Raphaël-David Lasseri
* Théo Winterhalter
* Valentin Samir
* Vincent Le Gallic

## Ordre du jour

### Pont WiFi

Lucas à mis en œuvre un pont wifi entre deux nano.
À la base, cela était pour relier l'Arpej (mais il n'y a plus personne).

Ça marche. On a un débit asymétrique :

* AP -> client : 40 Mbps
* client -> AP : 90 Mbps

Un test de distance à été effectué entre le I et le J, cela semble concluant. Il
reste à tester sur une longue distance (de l'ordre 500m).
Une collocation sur la colline de Cachan est partante pour acheter une paire de
bornes et être raccordée au réseau si le test longue distance est concluant.
L'autre extrémité sera sur la terrasse du bâtiment C.

{{{#!wiki caution
On notera qu'il ne faut pas bridger les interfaces des '''deux''' bornes
sur leur interface filaire. Ça fait une boucle. Le réseau aime pas ça. Du tout.

Une note à ce sujet a été rajoutée sur une des deux bornes.
}}}

### Policyd sur redisdead

''Résumé des épisodes précédents : Il est arrivé plusieurs fois au cours des
derniers
mois qu'un mot de passe d'un compte Cr@ns soit compromis et qu'un botnet
l'utilise
pour envoyer du spam.''

Une limite de mail par minute par IP émettrice était déjà en place, mais les
botnet
deviennent intelligents, ils utilisent plusieurs IPs.
La dernière occurrence a eu lieu Vendredi dernier.

Valentin a mis en place sur notre SMTP un plugin postfix (policyd, version clue
bringer)
qui permet de restreindre les politiques d'accès par utilisateur authentifié.

La configuration est dans une base de données sur {{{thot}}}.
Pour la faire/modifier, il y a un joli
cliquodrome : <https://redisdead.adm.crans.org/policyd/>,
l'authentification se fait par compte Cr@ns.
Les limitations de quotas mises en place sont :

* 500 mails par utilisateur par 24h
* 1Go de données par utilisateur par 24h

Policyd permet également de faire du greylisting.
La question de dropper postgreysql se pose, histoire d'avoir un seul daemon pour
faire les deux.

### lc_ldap

#### factures

Valentin a fait en sorte que les factures soient utilisables avec {{{lc_ldap}}}.

* objectClass=facture
   * fid (identifiant unique)
   * modePaiement (paypal, pour l'instant)
   * article (qu'est-ce qui a été payé)
   * recuPaiement (on décide de mettre AAAA-MM-JJ, correspondrait à cocher
     paiement AAAA)
   * historique (ce qui est arrivé dans cette facture au cours de l'histoire)
   * ToDo <https://tracker.crans.org/issues/224> : rajouter un champ pour
     validation par le trésorier

(cf controle+p)

#### Comptes compromis

Il faudrait rajouter un champ LDAP pour marquer un compte comme compromis et
vérifier
son absence dans ce qui utilise les comptes LDAP.
(envoi de mails, connexion à zamok, laisser l'intranet ?)

<https://tracker.crans.org/issues/223>

#### Blackliste pour les gens qui ont pas payé

Pour les adhérents n'ayant pas payé pour l'année en cours, une
pseudo-blackliste a été rajoutée.
Il n'y a donc pas besoin de vérifier qu'un adhérent a payé, juste qu'il n'a pas
de blackliste.

Un des effets a été que les anciens adhérents (qui n'ont pas réadhéré)
pouvaient toujours se connecter à {{{zamok}}}, mais plus en sortir.
Valentin a patché pour rétablir la situation précédente.

Pour l'instant, il n'y a pas eu d'abus constaté, on laisse ça comme ça.
Il sera toujours temps de revenir en arrière si on constate des abus.

### Mail rappel carte étudiant

Il faut l'envoyer. Ce serait bien d'écrire le template jinja
(cf {{{/usr/scripts/gestion/mail/}}}).
Pierre-Elliott et Raphaël-David se chargent de reprendre celui de l'année
précédente.

Il pourrait être judicieux d'en profiter pour le croner.

### Rappel env de dev sur vo

Valentin rappelle qu'il y a un environnement de développement pour tester
le webnews et l'intranet sur {{{vo}}}.

A priori, respbats a les droits d'écriture, les apprentis peuvent donc tester.
Ça permet de «tester en prod». Si "ça marche pas"™, frapper la nounou la plus
proche.

Une fois les tests concluant, demander à une nounou de pusher.

### Imprimante

Lucas et Daniel ont tourné les feuille de π/2rad sans les bacs de l'imprimante.
Du
coup, deux modes d'agrafages ont été supprimé (sur le coté long, type sauce).
En résultat, l'imprimante ne bourre presque plus.

Il serait bien qu'une alerte soit envoyée aux imprimeurs lorsque quelqu'un
lance une grosse impression.

### Tunnel IPv6

<http://tunnelbroker.net/>
Il est possible a priori d'avoir la sortie du tunnel sur Paris (au lieu de
Marseille).
Valentin a constaté de meilleurs débits.

Problème : il faut changer le set d'IP.

La configuration a aussi l'air d'être plus facile à mettre en place.
Un tunnel de test a été mis en place sur {{{vo}}}.

On pourrait également mettre un autre tunnel spécialement pour le miroir Debian.

### Question diverses

#### Bridage adhérent

Daniel propose que, après les 24h de déconnexion pour upload,
les adhérents soient obligés de cliquer sur un liens envoyé dans le mail de
déconnexion pour être débridés.
Tout le monde est d'accord.

On transmettra au CA.

#### Vidéo aux 15 ans

Ariane a à la main une caméra achetée chez Darty.
Pierre-Elliott s'occupe de faire en sorte de récupérer les flux slide, camera,
et probablement son régie sur son PC pour les mixer en direct.
De là, il sera probablement possible de proposer un streaming en direct.

Il n'y a qu'une prise Ethernet au Villon, (dans le placard). Un câble sera tiré
jusqu'aux ateliers.

#### Espace de stockage et FedeRez

FedeRez a demandé plus de place sur {{{baldrick}}} pour que les serveurs
puissent
se backuper les uns les autres.
Leur allouer 50Go n'est pas un problème, mais soulève la question d'acheter des
disques
de 600Go pour remplacer les disques de 300Go de la baie des domU, pour faire de
la virtualisation
pour les clubs.

Un devis a déjà été transmis au CA il y a un certain temps.
Il faudrait avoir son aval sur la question.
