# Réunion du Collège Technique

* Date : Jeudi 14 Novembre 2013
* Lieu : Condorcet
* Début : 19h11
* Fin : 21h20

## Présents

* Daniel Stan
* Lucas Serrano
* Raphaël-David Lasseri
* Valentin Samir
* Vincent Le Gallic
* Pierre-Elliott Bécue

## Ordre du jour

### Wifi

#### Pose de borne

Des bornes wifi ont été placées aux étages 3, 4 et 5 du G, orientées vers
l'extérieur. Ça marche du tonnerre de Brest ! On a quasiment plus de câble, or
il nous reste des bâtiments à couvrir (A, PdJ, une partie du G)

Initialement, une seule borne (!NanoM2Loco) était prévue par étage, avec les
nombreuses bornes de test, on s'est permis d'en placer deux par étage.
Pour couvrir le RDC, le 1er et le 2ème, il est nécessaire de rajouter deux
bornes
supplémentaires.

Il faut faire les comptes de ce qu'il nous reste (Unifi + Pico), pour finir la
couverture prévue au A et PDJ, pour relancer une commande si nécessaire.

On fait un devis pour le prochain CA pour des bobines de câbles et des bornes.

#### Taggage dynamique

L'idée est de placer les client wifi sur des VLANs différents au moment de
l'authentification.
Côté radius, un script python permet d'assigner un VLAN à chaque machine, en
fonction de différents critères (blacklist, présence d'ipv4). Ça marche.

Coté borne, c'est correctement configuré sur OpenWRT et hostapd. À la connexion,
le client est bien placé sur la bonne interface. Mais un bug fait que de temps
en temps, pour certains clients (sur les réauthentifications par exemple), le
broadcast/multicast ne passe plus. Ce qui empêche les requête ARP, NPD et/ou
les RA de passer.
Sinon, ça marche.
Les images de bornes flashées en ce moment sont configurées pour. Pour l'activer
en production, il n'y a qu'à faire une modification coté serveur radius.

#### VLAN radin

Maintenant, c'est un vlan ipv6, il y a des RA et un nat64 qui marchent. Il faut
ajouter un comptage d'upload (qui comprend un log mac_ip) et un log de qui
contacte quoi quand.
Pour les logs, il faut soit envoyer le flux ailleurs pour stockage, soit
utiliser dyson (monitoring avec un mirroring de port) comme cela avait été
prévu initialement.

### Imprimante

#### Envoi de mails

Lucas a fait un script qui envoie des mails quand l'imprimante est bourrée.
Le script est pour l'instant stateless, il faudrait lui ajouter une mémoire
pour qu'il ne spamme pas comme un cochon.

#### Appli intranet2

Daniel a une appli pas finie pour l'intranet2, mais ça avance. L'idée était de
faire ça de manière modulaire pour avoir dans django la liste des impressions et
l'état actuel, et avoir l'historique via reversion qui conserverait les
états  successifs.
Hélas reversion semble bugguer et ça pète les couilles de Daniel.
De plus, pour interfacer cela facilement avec tout, il a implémenté une file
de convergence : où on enfile les tâches à imprimer, et où les trucs qui
impriment viennent chercher leur document à imprimer.

On pourait ajouter une étape intermédiaire à l'impression : la
compatibilisation :

1. On upload un pdf
1. Il se compatibilise, on est notifié qu'il l'est
1. On lance l'impression depuis la liste des documents compatibilisés

On peut penser à avoir un aperçu du document compatibilisé pour se rendre
compte que les vidéos, ça ne marche pas en pdf 1.2.

#### Papier de l'imprimante

Ariane, lors de la dernière commande de papier, a pris du papier blanc moins
cher.
Ça a l'air de marcher, du coup, ça pourrait être cool de le garder.
À noter  qu'il serait moins blanc que l'ancien, mais en fait, on ne voit pas
vraiment la différence.

#### «Mise à jour» du 4J

La desserte pour ranger le papier au 4J a été installée, ça marche pas trop mal,
il y a un peu moins de papiers imprimés partout.

Daniel et Valentin ont débarrassé le 4J des
vieilleries ({{{mdr}}}, {{{oie}}}, {{{canard}}}, vieilles batteries, etc).
On y a également migré tout un tas de livres qui étaient au 2B, du coup il y a
de la lecture au 4J pour ceux qui s'ennuient.

Avant de se lancer dans la commande d'un canap, on va proposer au BdE de
récupérer deux des ex-sièges espace Condorcet. Ils feraient un bon test de
canapé, et pour l'instant, à la Kfet, ils sont en train de mourir à petit feu.

### Sip

On est passé de la version {{{svn}}} à la version packagée dans jessie (à coup
de
pinning). Ça marche mieux et on n'aura plus à recompiler à la main le tout à
chaque màj.

Il y a une api (et une commande {{{sip_message}}} sur zamok) pour envoyer des
IM via python en appelant {{{/usr/scripts/sip/asterisk.py/Sms.send(dst, msg,
src)}}}.

### Mails

caca clueringer et ipv6 -> il FAUT un remplaçant peut être est-ce possible
avec anvil
Il semblerait que la version actuelle de policyd ait des problèmes avec l'ipv6,
qui vient d'être activée pour l'envoi sur smtp.crans.org.
Du coup, clubringer a été désactivé et il n'y a plus de limite du
nombre/quantité
de mails envoyés par utilisateur authentifié. Ça ne doit pas durer, donc soit
utiliser la version 2.1 de policyd qui a l'air de marcher, soit voir si c'est
possible avec anvil (à première vue, non).

### Adaptateur USB-ethernet

Le trendnet est bien. Il marche out of the box, il faut juste trouver une
solution pour mettre un éventuel driver à disposition pour les windows users.

On choisit le modèle Trendnet TU2-ET100 Adaptateur USB 2.0 Ethernet 10/100.

### Politique stockage des mots de passe des scripts

On veux diviser secrets.py pour le rendre plus facilement utilisable et
modulable (droits d'accès différents) :

* faire plein de petits fichiers
* laisser tout au même endroit et lancer un autre programme en faisant
  sudo (avec un NOPASS)

La solution à coup de sudo est préférée, au grand dam de Valentin.

### Nouvelles déconnexions

Deux nouvelles blacklist ont été mise en place : une pour carte invalide et une
pour paiement. '''Il ne faut plus mettre un bloq pour ces cas-là.'''

On va également demander au C.A. s'il on peut arrêter de demander le certif de
scolarité/carte d'étudiant après la première adhésion.

### Nom de domaines

On se demande s'il ne serait pas bien que les noms de domaine genre
vo.crans.org fournissent l'ipv4 associée à la machine, mais aussi l'ipv6.

Le problème de la saturation du lien se pose. Pour l'instant, il vaut mieux
pousser l'ENS à mettre en place l'ipv6.

Si on le fait, il faudrait sans doute mettre en place le domaine .v4.crans.org,
analogue à .v6.crans.org.

### Questions diverses

#### Perms du jeudi

La perm est trop souvent désertée le Jeudi soir lorsqu'il y a Internounou ou CA
(c'est-à-dire, souvent). On propose donc de passer les horaires de perm du Jeudi
à 18h-19h.

Il faut soumettre ça au CA, et mettre à jour les affiches/wiki.

#### Devis

Xen vers proxox migration dur dur, achat serveur ?
Dyson weak weak, achat seveur ?
