# Réunion du Collège Technique

* Date : 20 décembre 2017
* Lieu : Maison de l'Étudiant
* Début : 18h00
* Fin : 19h42
* <<Pad>>

## Présents

* Blupon
* Boudy
* Charlie
* Chirac
* Esum
* Pollion
* Fardale (auditeur libre)
* Gasnier (arrivé à 18h11)
* Bernie' (arrivé à 18h14)
* Grizzly (arrivé à 18h28)

## Ordre du jour

### Soyouz

Renouvellement ? Upgrade ?

Personne n'aura le temps de le changer d'ici le 31.

Par contre, on change le renouvellement qui était annuel pour le passer à
trimestriel. Ceci permet à une personne intéressée pour le changer de ne pas
attendre un an.

Si quelqu'un trouve une meilleur offre il est le bienvenu.

### Upgrade de vo

Certaines personnes veulent changer Vo.

Le point est repoussé car les demandeurs ne sont pas présents.

### Point fibre

Où on en est, qu'est ce qui reste à faire ?

La visite a été faite avec Adriatel le sous-traitant de Zayo : la
galerie/couloir TGBT derrière le B et aller jusqu'au H ne pose aucun problème,
mais il n'est pas évident de comment rejoindre la rue.
Ils vont repasser avec une aiguille pour tester.

Ils ont jusqu'a fin février pour faire leur magie.

### Évolution de l'infra

Moult tâches phabricator ont été créées, il s'agit alors de détailler un peu le
plan de bataille.

Tout le monde peut s'attaquer au wiki : <https://phabricator.crans.org/T234>
On a mis une petite sémantique de où va quoi.

On s'interroge sur une génération automatique de doc à partir de docstring pour
le code.

Les points priotaires :

* Avoir un wiki à jour et documenté
* Élimination de autostatus (celà requiert une page publique icinga)
* Brûler ldap_crans
* Gros remplacements de vieux switchs pendant les vacances qui viennent (Chirac
  crée une tâche phabricator)
* Revoir et compléter l'environnement de test (magnifiquement commencé par
  tudor)

### Bornes

#### Firmware

Des bornes sous openwrt ont de nombreux bug, le firmware propriétaire semble
régler le problème. Il faut prendre une décision sur notre course d'action.

Les bornes en question sont au M et G. Il y a des nanostations, des AP lite ont
été posées (ENS, quelques CROUS), il y a eu ensuite un gros achat de UAP AC
Pro. Ça a marché pendant 6 mois, puis ça a commencé à tomber. Les UAP AC Pro et
UAP Ac light posent problème : openWRT crash souvent, LEDE un peu moins mais
toujours, et unifi semble tenir la charge. Il nous faut faire attentioin car
sur les AP tout court, on peut les briquer en passant à unifi.

Nous devons choisir de déployer le firmware proprio avec ou sans le controleur
unifi, uniquement sur les uap ac pro, light ou sur toutes celles compatibles.

> On passe les UAP AC Pro et UAP AC light sur le firmware proprio et le
controlleur.
> On laisse les AP et les nanostations sous openwrt, mais on peut tenter de
les mettre sur le controlleur si c'est pas trop galère, pour pouvoir voir
l'état de toutes les bornes au meme endroit et reboot.

#### Nouvelle convention de nommage des bornes

> On adopte les nouveaux noms : etageBatiment-numero, exemple 5a-01

Nous sommes pour changer petit à petit les noms des anciennes vers la nouvelle
convention, tout en gardant les anciens noms comme alias.

#### Objectifs en terme de couverture

> Les résidences sont notre priorité : on veut remplir les trous actuelles,
donc G au bout et M au milieu. Un premier objectif est 2 bornes par étage.

Ce serait bien de savoir si elles sont directionnelles ou pas, pour optimiser
la pose.

Une fois les nouveaux switchs posés, on commandera plus de UAP AC pro, et c'est
parti mon kiki.

Il faudra peut-être refaire le trou du M (pour passer les câbles dans le local).

### Divers

* The lounge, un interface web irc ?
   * Point positif : peut faire venir des gens sur IRC. Le Webirc actuel
     n'attire personne.
   * Point négatif: service en plus, est-ce stable ? Il faut que les gens
     testent : Guinness aurait eu des soucis avec, et en plus c'est du react js
   * The lounge semble ne pas relancer les connexions au serveur quand il est
     reboot. Et il semble planter de temps en temps à Prologin

. => Ok pour lancer the lounge, on nuke webirc, et on croise les doigts
.Il faudra attendre que le patch ldap soit dans la version stable

* Les news

.Fardale bloque sur du design pour les nouvelles webnews et les webnews php
risque de casser avec le passage à stretch. Qu'est-ce qu'on fait ? nuke it ?
.Il tournait en dev sur vo, il faut l'y remettre.
.=> ASAP, on sort le django webnews et on nuke le webnews php.

* Recovery de mdp avec soit code de confirmation par SMS, déclenchable par
  l'user ou un MA (proposition CA)

.Pour les SMS, soit on utilise un dongle qui marche pas, soit une API en ligne.
.L'API en ligne a l'air une bonne idée.
.On va créer une tâche phabricator (ça fait comme si on était en train de
résoudre le truc !), avec si possible apprentis, et sinon nounous, mais y a pas
d'urgence.
