# Réunion du Collège Technique

* Date : 10 Mars 2020
* Début : 19:15
* Fin : 21:18
* Lieu : 2B
* <<Pad>>
* Jitsi : <https://jitsi.crans.org/IN>

Présents:

* Hachino
* Vulcain
* Erdnaxe
* Pollion
* Benjamin
* Sarcozy
* Ÿnerant
* Kaj
* Elkmaennchen
* Charles
* Fardale (Jitsi)

## Point apprentis

Il y a pas mal de nouveaux apprentis, c'est très cool. On rappelle les
séminaires du lundi soir
Répondez au [FramaDate](https://framadate.org/diffusionCrans).

Prochain séminaire la semaine prochaine probablement, ce sera un séminaire Git

Problème du PdJ qui ferme 31 mars, Elkmaennchen ira voir Trouslard pour la
Lika, il en profitera pour trouver une salle pour le Crans aussi. On envisage
fortement d'aller sur Saclay.

Pollion propose d'automatiser le forward info-dsi vers les apprentis avec
Zentrum. <- c'est amusant comme idée, mais faut faire attention, zentrum est
pas encore très stable, j'ai d'ailleurs vu passer encore une erreur que j'ai
pas réussi à reproduire et j'ai supprimé par erreur le mail impliqué :(

### Démémagement

On lâche le PDJ le 31 Mars, mais on n'a pas de nouvelles de la part de l'ENS
donc on va les relancer (vulcain).

On a 4 switchs et une 10zaine de bornes.

#### Point du bâtiment G

Fibre actuelle passe par l'ENS et revient vers le G.
La DSI nous a pas recontacter ! Il faut les relancer pour le matériel et
démontage. Vulcain va ping Pascal :

{{{
vulcain@lui-même$ ping pascal
No route to host
}}}

Avec le départ de l'ENS, ça va couper Internet. Pollion propose au CT de
réaliser un pont wifi.

* Vulcain propose un pont filaire <3
   * On a les photos sur comment faire en plus
* Solution proposée par Chirac : le CROUS a des paires de fibres non utilisées.
   * C'est a priori une bonne idée, Pollion va contacter David Da Silva

Le pont !WiFi peut faire backup. Mais problème de boucle réseau à éviter.

### Avenir du CRANS 2.0 et Migration

* Ce qu'on garde, et ce qu'on bouge, on en a déjà parlé, et on n'a toujours pas
  de nouvelles de la DSI. Vulcain va les relancer.
   * Pour rappel, la proposition se
     trouve [ici](https://pad.crans.org/p/survie_crans).
* WikiPollion rappelle aux apprentis l'histoire des IP ENS et des migrations.
   * Il reste à migrer charybde vers une nouvelle ip publique. On migre aussi
     les mirroirs en http au lieu de ftp.
* Il faut aussi renommer tous les serveurs qui contiennent {{{.dmz.crans.org}}}.

La liste des serveurs qui ont besoin d'internet se
trouve [sur ce pad](https://pad.crans.org/p/ip).

On dispose de 3 types de serveur :

1. serveur avec une ip publique
1. serveur avec une ip natée (qui a internet)
1. serveur sans internet

* On a fait la liste sur le pad. Pollion et Mikachu relancent Rezosup.
* ON BRÛLE MEDIADROP avec un apprenti.
* On ne maintient plus !LimeSurvey.

On rappelle aussi qu'il reste soyouz à migrer pour enfin s'en débarasser et
arrêter de payer les deux serveurs chez ovh : Soyouz et Sputnik. On fait le
point sur ce qui n'est pas encore dans Ansible :

* le wiki
* la fin du DNS
* NTP
* Réplicat LDAP/Postgres
* Postgres de manière générale....

À vérifier.

Ce qui a été mis :

* Les mails sont ansiblisés
* Wireguard

Sarco est chaud pour toucher à ça, il peut demander à qui il veut, et erdnaxe
veut brûler des choses.

### Upgrade re2o

erdnaxe a un fichier qui a exactement les commandes pour DU qu'il a fait sur
re2o-test.
Ça marche bien et ça ne prend pas plus que 20mn.

Feu vert pour le migrer ce week-end (Plot twist, on n'a pas pu, c'était le
week-end du début du confinement).

{{{#!wiki caution
Il faut upgrade toutes les instances de re2o. (sur les radius, bcfg2, et zamok
et thot)
}}}

### DU

On brûle aptdater, Ansible le remplace.

#### Gulp

Keepalived ansibleisé, toujours le pb des interfaces.
On fait le point sur les trucs qui restent pour gulp, on finit d'Ansibleiser.

Mais c'est pas vraiment urgent, puisque à priori gulp va devenir un
Virtualiseur sur Saclay

#### Zamok

Client nfs ansibleisé, on va brûler le fstab.local, on utilise systemd-mount.
Les paquets installés sont ansibleisés.
Les mails sont ansibleisés.

Il faut vérifier les ldap scripts (type chsh, passwd etc ...)

Pour zamok, il va falloir prévoir une maintenance : Les gens vont perdre leurs
screen.
On peut le faire pendant les vacances scolaires (6 Avril -->)

### Questions diverses

* Faire quelque chose pour les gens qui lancent {{{find
  . -name \.[A-Za-z]*}}} sur leurs mail (ce qui fait lagger zamok et zbee)
   * On liste les gens qui utilisent ça, on leur envoie un mail pour leur
     rappeler avec un timeout d'un mois à la fin duquel on change le script
     comme des animaux dans leur home.
* Backup charybde ? Est-ce que l'on ne ferait pas un ftp "données à ne pas
  backup" et un ftp "on backup" ?
   * Suffit de le rajouter dans les backups avec le site de backuppc.
* Erdnaxe : Qu'est-ce qui nous oblige une MTU de 1496 ? Ça pose problème avec
  les logiciels comme Docker auquel faut forcer 1496 à la place du 1500.
  Peut-on passer sur 1500 ?
   * Le problème était avec un vieux switch CRANS au niveau de la baie meso
     DSI. D'après Chirac, ce switch a été démonté en 2018. On ne sait pas s'il
     y a toujours des soucis avec l'interco DSI-CRANS qui pourrait en avoir
     besoin, on ne sait pas ce qu'il se passerait si les switchs de la DSI et
     leur routeur pioneer voyaient des trames de 1504 octets
     arriver (1500 + 4 octets du tag vlan zrt 1132) au lieu de 1500.
   * Toujours est-il que ce n'est absolument pas urgent, les gens affectés
     savent ce qu'ils font normalement, et c'est vraiment pas le bon moment
     pour se rajouter du boulot.
* Erdnaxe se pose la question de mettre un split à 128 plutot que 255 dans le
  failover DHCP (en test à Aurore).
   * On n'a pas de charge, on verra quand on passera le dhcp sous buster avec
     Ansible.
* WPA perso sur le wifi avec config.properties maintenant qu'erdnaxe l'a
  réparé. Est-ce que l'on le veut ?
   * Erdnaxe fait des tests, on en rediscute à la prochaine IN. Mais bon ...
     Est-ce que l'on a vraiment envie de ça ?
