# Réunion Nounous

* Date : Jeudi 15 Décembre 2011
* Lieu : Pavillon des Jardins
* Début : 19h16
* Fin : 20h51

## Présents

* Antoine Durand-Gasselin
* Benjamin Aupetit
* Daniel Stan
* Melissa Verbeke
* Nicolas Dandrimont
* Olivier Iffrig
* Steven Masfaraud
* Sylvain Boilard
* Valentin Samir
* Vanessa Verbeke

## Ordre du jour

### DSI-Cr@ns

Augustin et Olivier ont eu une réunion avec Sabrina Louison-François de la DSI,
pour prévoir la simplification de l'interconnexion entre le réseau du Cr@ns et
le réseau de l'ENS.

Cette opération aura lieu en semaine 52, a priori le 30/12. Daniel et Nicolas
seront
présents.

L'interconnexion retenue sera faite à l'aide d'un switch du côté ENS,
interconnecté
au backbone par l'actuelle fibre komaz<->irts. Cette connexion sera en gigabit,
et fera passer les vlan 3 (wifi), 4 (wifi
ens), 10 (évènementiel), 21 (appartements)
et le vlan des serveurs DSI, auquel komaz pourra accéder. L'interconnexion avec
le réseau de l'ens sera assurée via le nouveau switch bato-1.

L'actuelle fibre Multiprise_wifi<->D'Alembert-Centre serait alors inutilisée.

### Achat de matériel

#### Carte contrôleur baie de disques

La baie de disque étant un élément central de l'infrastructure du Cr@ns, il a
été
proposé lors de la dernière réunion d'investir dans une carte de contrôle
supplémentaire.

La carte de contrôle actuelle étant bientôt en fin de vie, deux solutions
s'offrent à nous :

* Acheter une nouvelle carte identique à l'actuelle
* Ou acheter deux nouvelles cartes, récentes (garantie 3 ans au maximum)

Une décision raisonnable ne pourra être prise que lorsque les coûts des deux
options auront été estimés.

#### Renouvellement du backbone

Notre backbone se fait vieux (2003). Anne nous proposera une offre dans le
courant
de la semaine prochaine. Une reprise de l'ancien est possible pour diminuer le
coût du changement.

### Monitoring

Munin "refonctionne". Le graphing se traine le cul.

Il faut évaluer munin-2, qui serait apparemment over 9000 fois mieux que la
version
1.4 (CGI et graphing plus rapide, récupération des données plus légère, ...).

Une possibilité toujours en l'air est d'installer un outil du type de nagios,
qui permettrait de regrouper en un coup d'oeil autostatus, monit et munin.
Olivier
propose d'encadrer ce projet. Vanessa est volontaire.

### Serveurs

#### Running gag : rouge

L'age de rouge est strictement croissant. Sa seule fonctionnalité pertinente est
MX principal. Il y a du filtrage de contenu (amavis) et un serveur
smtp (postfix).

Ces services devaient être migrés sur redisdead, mais les nounous ont peur que
la charge due à amavis le fasse s'écrouler.

Étapes de la migration :

* Configurer amavis sur redisdead
* Configurer l'authentification des clients
* Vérifier que tout ça tient la charge
* Modifier les DNS
* Jeter rouge du 6B

#### Mises à jour vers squeeze

La fin de vie de lenny aura lieu, comme à chaque release de Debian, un an après
la release de squeeze... Soit le 6 février 2012.

Il reste à migrer zamok, gordon et 3 domU (titanic, ldap, niomniom). Ceci en
supposant
que le point précédent, qui n'a été attribué à personne, va s'effectuer par
magie.

##### niomniom

adg se propose pour encadrer la mise à jour du wiki. Steven se porte volontaire.

##### "vert"

La mise à jour de LDAP va être passionnante : la conversion automatique vers le
nouveau format de configuration fonctionne de manière quantique.

Le nouveau format de configuration est en fait un annuaire LDAP, ce qui permet
la modification et la synchronisation sans downtime des configurations et
schémas.
L'ancien format de configuration en fichiers plats n'est plus disponible dans la
version squeeze de slapd.

À prendre en compte avant de faire la mise à jour :

* éviter que les mails ne bouncent à cause d'un utilisateur
  inexistant (soft_bounce = yes dans la configuration de postfix)
* s'assurer que tous les services arrivent toujours à se connecter à la base
  ldap (postfix, dovecot, intranet, authentification...)
* s'assurer du bon fonctionnement de la réplication

Il y a une config de réplicat correcte sur sable, il est envisageable de la
convertir en config de master pour l'utiliser sur vert sans trop de dommages.

##### titanic

Deux points importants :

* connexion des appartements
* connexion de secours

Ces deux services étant morts actuellement, faire la mise à jour de titanic ne
devrait
pas avoir trop d'impact...

##### gordon

Cf. plus bas.

### Maintenance générale

Le RTC se porte volontaire pour améliorer la configuration de logcheck, afin
qu'il
reçoive plus de mails avec des logs et moins de mails d'erreur.

Il est évoqué la possibilité de mettre en place un serveur syslog centralisé.
Avant de se lancer là dessus, il faut planifier proprement comment seront
stockés
les logs. Il faut aussi penser à la durée de rétention des logs...

### WiFi

Les mises à jour des bornes vers backfire ont été faites. Il faut mettre à jour
gordon. Cela permettra aussi d'utiliser les nouvelles fonctionnalités de
freeradius,
en particulier les possibilités de logging (client<->borne etc.).

Cette mise à jour doit être faite avec le plus grand soin, car la config de
freeradius
est une bête poilue, surtout pour le wifi, avec une configuration pour les
postes
linux et une pour les clients windows.

Les nouvelles bornes reçues (pico/nano)station fonctionneraient out of the
box...
Les gens ayant testé ça mardi ont eu la flemme de faire make, parce qu'ils
avaient
faim et/ou soif. iota propose de s'en occuper après la réunion.

### Ajout de droits

nounous.append("Sylvain")
commit()

### Questions diverses

#### Vacances

Remplissez la page idoine, merci. Il faut des clés du 0B proches du campus à
tout
moment.

#### Mises à jour de switchs Gigabit

Benjamin est volontaire.
