# Réunion du Collège Technique

* Date : Jeudi 7 Février
* Lieu : devant le Condorcet
* Début : 20h08
* Fin : 22h25

## Présents

* Ariane Soret
* Daniel Stan
* Pierre-Elliott Bécue
* Sylvain Boilard
* Valentin Samir
* Vincent Guiraud

## Ordre du jour

### Mac/Prise

Pierre-Elliott a continué à coder mac-prise en utilisant une base postgres.
Il compte le nombre de mac pour une chambre donnée sur plusieurs intervalles
(2 min, 30 min, 1 jour). Il y a plusieurs heuristiques qui donnent des
valeurs différentes ("très suspect", "suspect") plus ou moins fonction du
nombre de fois qu'une même mac apparaît dans le réseau et du nombre de mac
apparaissant sur une prise et du temps.

Il est suggéré de ne pas tenir compte des macs inconnues qui pourraient être
récupérée (mac virtuelle, jamais enregistrées), si le script devient trop
verbeux.

Pour l'instant, il est en test sur une ml du même nom, et sera mis en prod
après quelques réglages.

Le script effectue de nombreux appel à ldap, il est donc envisagé de mettre un
réplicat sur thot.

### Passage à Git

Le dépôt /usr/scripts est migré. (il ne faut plus record sur darcs)
Il faut supprimer les mail de darcs whatnews et avoir avoir un équivalent pour
git.
Le dépot bare se trouve sur git.crans.org qui est public, il faudrait vérifier
qu'il n'y a pas de mot de passe recordé dedans au cas où (grep).

On peut migrer bcfg2 n'importe quand. Il faut finir de tout recorder avant.

Il reste à trouver un joli hook pour les mails (genre modifs non
commitées/pushées)
voire une vérif d'intégrité : vérifier que le dépot bare et de prod aient la
même HEAD.

### WiFi

#### Ipv6

On annonce un slash ipv6 en wifi, ça marche. (Parce que Daniel a une machine
ipv6 only chez lui)

#### Freecwmp

freecwmp, implémentation du protocole CWMP pour openwrt destiné à contrôler à
distance des équipement divers, dont nos bornes wifi.
Trois élèves du département informatique ont travaillé sur un projet autour de
ce protocole, et se disent qu'il serait pratique de l'utiliser pour configurer
nos bornes avec et de garder le moins de configuration possible dans la branche
openwrt du crans afin de faciliter son maintien.

Le serveur de configuration est actuellement en cours d'écriture comme une
application django.

#### Arpej'

Arpej (aka résidence Volti) est une résidence privée mitoyenne au campus où de
nombreux élèves de l'ENS logent.
Elsa Perdrix à rappelé qu'il y avait eu autrefois un projet de faire un pont
wifi pour relier le bâtiment au réseau.
Il y a normalement encore une borne sur le toit du d'Alembert pour ça. Quand à
celle de l'Arpej'…

Daniel fait remarquer que cela ajoute une charge de travail supplémentaire sur
les membres actifs et que la viabilité à long terme d'un pont wifi est
incertaine.

Il faudrait voir à nouveau avec l'ENS s'il existe un tunnel jusqu'à
l'Arpej' pour
tirer une fibre.

#### Pdj

La dsi aimerait bien qu'on diffuse eduroam au PDJ pour les chercheur visiteur.
Pour ça il faut des bornes :

* Combien ?
* On les mets où ?

Il faut faire des tests de couverture, faire un dossier et demander un budget
au CA.
Pour mettre des bornes dans les faux plafonds il faut l'accord de la DGS.

On essaiera de faire les tests ce week-end.

### Firewall

#### Comptage Upload

Il faut adapter le comptage d'upload à l'ipv6 pour pouvoir compter par mac, et
éventuellement faire évoluer la déconnexion.
Actuellement il y a un petit programme qui rempli une table d'association
mac-ip, il est envisageable d'effectuer une jointure.

Un autre problème est que pour compter directement par mac, il faudrait compter
sur l'interface interieure, et qu'alors, on comptera également du traffic
potentiellement rejeté par le firewall.

#### Filtrage p2p

le filtrage p2p devient **vraiment** obsolète, avec de plus en plus de faux
positif,
Valentin voudrait s'en débarrasser.
Il faut demander à la dsi si on peut le jetter.
Le problème est l'adhérent faisant du piratage : C'est la dsi qui reçoit les
lettres des ayant droits et cela pose un problème de réputation de l'École.

Il est envisageable de continuer de bloquer ce que l'on détecte mais de ne plus
déconnecter les gens.

/!\ Il faut discuter de ce point au prochain CA

#### Déconnection pour upload

Actuellement les adhérents dépassant 4Go/24h de téléchargement se font
déconnecter pour 24h.
Il est proposé de juste brider la vitesse de ceux dépassant la limite.

Il faut définir à quel point.
On peut penser les mettre derrière la freebox puisqu'elle ne sert plus à rien
en temps normal

/!\ Il faut discuter de ce point au prochain CA

### Réunion DSI

* Réverse dns
* filtrage p2p
* upload
* eduroam au Pdj : mdp du serveur radius, voir comment on fait…
* null route sur le /16
