# Réunion du Collège Technique

* Date : Jeudi 6 novembre 2014
* Lieu : Pavillon Des Jardins
* Début : 19h00
* Fin : 20h22

## Présents

* Myriam Bégel
* Gabriel Detraz
* Daniel Stan
* Raphael David Lasseri

## Ordre du jour

### État du 2B

L'expertise du collège technique a été requise sur la question de
l'accumulation des déchets dans la poubelle du 2B. Les nounous
confirment : celle-ci est pleine à craquer et un ménage imminent du 2B est
nécessaire.
(no comment.)

### Système d'impression

Pour résumer :

* La vm "cups" a été créée, elle tourne mais pas encore de configuration du
  tout dessus
* Le driver pcl est en cours d'écriture, Daniel fournira un draft qui
  implémentera 1/2 options et laissera les autres implémentations aux apprentis
* Le script de notification fonctionne \o/

À faire :

* Bcfg2
* Installer cups
* Finir le driver
* Un script de recrédit pour les jobs foirés (avec mail de notification pour
  cela)

### Environnement de test des scripts

Daniel a commencé a modifié /usr/scripts pour permettre au dépôt d'être cloné
ailleurs que dans /usr/scripts
et utilisé depuis un autre dossier. Le script indiqué dans le shabang se charge
également d'indiquer
quelques variables d'environnement pour passer en mode test. Work in progress,
mais il veut bien
des feedbacks.

Tout cela sera résumé sur
<https://wiki.crans.org/CransTechnique/ConventionsUtiles/ScriptsPython>

### Màj d'OpenWrt

La nouvelle version d'!OpenWrt est sortie en juillet (Barrier Breaker), Daniel
suggère de recommencer
from scratch pour voir ce qu'on garde comme modification par rapport à
upstream, et repartir sur des
bases saines.

* Rendre la borne manageable en ipv6 (idéalement, virer l'ipv4 complètement)
* Multicast (il paraît que ça marche mieux cf changelog)
* Vlans Dynamiques (il faut voir si ça marche mieux)

On va bientôt avoir de nouvelles bornes (a priori) pour pouvoir commencer des
tests. Avis aux volontaires.
On va également remplacer une petite picostation d'un bâtiment pour faire
cobaye, on la remplacera
par une unifi (qui est moins robuste aux tests intensifs).

### "Modems" Wifi d'appoint

Il est envisagé de déployer des points wifi secondaires chez l'adhérent. Le
principe est simple : l'adhérent
reçoit contre caution une borne flashée par nos soins, dans le but de servir de
point d'accès Wifi,
et éventuellement filaire.
Ce point se comporte comme une borne classique, le principe étant que
l'adhérent et ses voisins puissent
s'y connecter. Le but étant que ce soit le plus transparent possible. Cela
résoudrait en partie le problème
des zones blanches de couverture wifi.

Cependant, il n'est pas encore établi si la désactivation de radius est
nécessaire pour faire passer le vlan
adh non tagué et le vlan 3 tagué en direction de la chambre de l'adhérent,
l'idéal étant que ça ne le soit pas.
D'autres détails, tels que la présence du mot de passe en clair dans la conf
des bornes méritent l'attention.

### Questions diverses

#### Un point sur le nouveau script de comptes inactifs

Ça buggue, ça buggue, ça buggue. Il faut discuter des délais avant suppression
du compte. On demandera (en partie)
au CA. Il est envisagé une suppression auto au bout d'un an d'inactivité (après
envoi de 4 messages).

#### Serveur de backup

PEB propose ceci :
<http://pad.crans.org/p/serveur_backup>
{{{

## Carte mère

* <http://www.rue-montgallet.com/prix/acheter,asus-z87-pro,789193> ou
  <http://www.rue-montgallet.com/prix/acheter,asus-z87-expert,788729>
   * ~ 150 € à ~ 200 €

## RAM

* <http://www.rue-montgallet.com/prix/acheter,g.skill-ripjaws-x-ddr3-1600-cl7-8go-2x4go,743095>
* ~100 €

## Processeur

Haswell

* <http://www.rue-montgallet.com/prix/acheter,intel-core-i5-4690k-3.5ghz,799815>
* ~200 €

## Boîtier

* <htttp://www.rue-montgallet.com/prix/acheter,cooler-master-silencio-rc-550-650w,753033>
* ~150 €

## Disques Durs

1 disque pour l'OS (je propose SSD) et 6 HDD (2 To, 7.2krpm) pour les backups
  Suggestion : <http://www.rue-montgallet.com/prix/acheter,seagate-3to-7200-rpm-s-ata-iii-64mo-st3000dm001,755875>
  (moins cher des 7200RPM))

* HDD : <http://www.rue-montgallet.com/prix/acheter,seagate-2to-constellation-cs-st2000nc000,791833>
* ~ 800 €
* SSD : <http://www.rue-montgallet.com/prix/acheter,samsung-64go-830-series,761747>
* ~ 100 €

## Budget

Environ 1 600 €. Les prix étant indiqués sur montgallet, il faut compter une
marge de 10%, donc ~1800 €.
}}}

On se demande l'intérêt d'un ssd pour l'OS. Mais why not. Un peu plus d'info
sur le setup ne serait pas de refus.
