# InterNounou

* Date : 12 novembre 2015
* Lieu : Pavillon Des Jardins
* Début : 19h06
* Fin : 20h30

## Présents

* Anne Cazalet
* Pierre-Elliott Bécue
* Gabriel Detraz
* Hamza Dely
* Myriam Bégel
* Mathilde Espinasse
* Rémi Oudin
* Magalie Vetter
* Adam Heriban
* Jonathan Cailliez
* Jordan Delorme
* Vincent Le Gallic
* Emmanuel Arrighi

## Ordre du jour

## Point sur les problèmes d'ambiance au CT

Daniel a souhaité revenir sur le mail émanant d'une membre active sur
nounou@ qui dénonçait des attitudes sexistes et
transphobes au sein du collège technique. Il s'est excusé pour cette ambiance
délètere dont il est responsable.
Un ancien membre actif lui a transmis une synthèse de textes de loi concernant
ces agressions ainsi que les peines
encourues. Il n'est évidemment pas pertinent d'en arriver à se retourner
judiciairement contre nos membres actifs,
mais une analyse rapide nous montre que les comportements décrits dans le mail
initial sont assimilables à du
harcèlement sexuel, tel que défini dans la loi. Ainsi, nous ne pouvons que
confirmer la gravité des situations
qui y sont décrites.

Gabriel a rappelé qu'un projet de code conduite, dont la forme (charte, texte
séparé), est en cours d'étude
par Mathilde et Rémi (cf dernière réunion CA). Même si le collège technique
n'est pas habilité à mettre en place ce texte, il est important
qu'il exprime son avis. Daniel pense que ce projet est une bonne idée,
notamment parce qu'il permet de fournir
une base saine, qui facilitera la dénonciation des attitudes inacceptables. De
plus, les exemples de codes
de conduite proposés (Julia, Rust, FreeBSD) lui semblaient adaptés.

## Propositions concernant les séminaires

On rappelle aux nounous, mais aussi au public en général qu'il faut être
civilisés et lever la main avant de poser une
question ou introduire une remarque plutôt que d'interrompre l'orateur.
Idéalement, on pourrait proposer un chairman, chargé de distribuer les
questions et protéger le temps
de parole. De plus, il est facilement envisageable de nommer un responsable
différent à chaque séminaire.

Au niveau de l'organisation générale des séminaires, il s'est avéré que les
deux volontaires en début d'année
n'ont que trop peu de temps pour pouvoir en consacrer à cette tâche. Lucas
Serrano (absent lors de la réunion)
semble cependant motivé pour prendre la relève et encadrer tout cela.

Côté thématiques :
Est-ce qu'on commence à faire des workshop en parallèle des séminaires pour
avoir davantage de pratique ?
Certains apprentis présents ont exprimé leur volonté de réaliser des projets et
d'appliquer d'avantage leur
connaissance.

On prévoit les activités ci-dessous pour les jours qui suivent :

* Samedi aprem/soir : Màj pgsql (thot)
* Dimanche : workshop virtualisation
* Mardi : bornes WiFi et passage à CC (format workshop) par Gabriel
* Mardi prochain (en 8) : enchaîner sur un vrai séminaire. Certains sont déjà
  prêts (impressions, git, python 2, etc)

Pour le reste, il y a phabricator qui recense des tickets de projet en cours,
et nous encourageons les apprentis
à contacter une/des nounous pour se lancer dans la résolution d'un ticket qui
leur semble intéressant.

## Évolution du conseil technique

Charlie est promu nounou. Félicitations.

Daniel commence à se trouver un peu vieux pour assumer le poste de RTC.
Aux jeunes d'en discuter entre eux et avec les vieux, avec Daniel... On fait le
point dans deux semaines.

Parmi les projets, on a également envie de faire un script pour enlever les
droits aux vieilles nounous, afin
de ne pas laisser des failles potentielles au nom de gens qu'on ne connait même
plus. L'idée est qu'ils
pourraient, en cas de besoin, se redonner les droits (typiquement sudo
give_me_back_my_rights qui serait
dans le sudoer file, ou un accès au mot de passe root).

## Câblage sur l'intranet

Développée par Charlie et Chirac, l'app est en beta.
Il reste deux trois petits trucs à régler notamment la cosmétique (logo), et
les gestions des droits django/ldap.
Les fonctionnalités supportés sont grosso-modo ce que les câbleurs peuvent
faire depuis gest_crans.

Gabriel est chaud pour gest_crans_lc. On émet des réserves quant à sa
maintenabilité. On essaie de
mettre gest_crans_lc en default pour les cableurs (avec possibilité d'utiliser
l'ancien).

## Monitoring

Les services sur fy ne sont pas maintenus. Quelle fiabilité attend-on du
monitoring ?

## Phabricator

Phabricator (tracker.crans.org) est ouvert à tous. Hamza se demande comment
gérer les projets ouverts par les autres.
Daniel est d'avis de laisser chaque propriétaire s'occuper de sa gestion, sans
ingérance.

Il reste à faire de la comm' autour de ce service (sur l'intranet, la
sauce, … ?) ;) ;)

## Mise à jour de thot (pgsql)

DU programmé samedi, de nombreuses personnes ont fait part de leur intérêt
suite au mail de Chirac sur nounous.
(Laloutre, Jack, Mathilde, Rémi)

<http://pad.crans.org/p/thot>

PE a un projet de plus longue date pour une page de status.

## VM BdE

Toujours dans le but de réduire le nombre de machines entreposées dans le local
serveurs BdE, Hamza voudrait savoir si le Crans pouvait héberger une nouvelle
VM pour remplacer le serveur de test du BdE (mail du 23/10 sur nounou).

Il veut ~15-20 Go de disque dur, 1 Go de RAM, 1 cœur. L'usage prévu est
principalement le développement de la note et autres projets BdE (digicode ...).

C'est acté.

## Questions diverses

### Future webradio

Freq[ENS], nouveau club webradio voudrait demander une VM et diffuser une
webradio vers l'extérieur (donc ouverture de ports, upload).
Daniel suggère d'utiliser OVH, qui est déjà hors campus, si on a des problèmes
d'upload.

Pierre-Elliott rappelle que le maintien d'une VM est à la charge du club.

### Agreg EEA

Il y a du GNU/linux et réseau au programme de l'agreg EEA depuis cette année.
Adam souhaiterait savoir s'il y a moyen de faire des séminaires de rattrapage
sur ces
domaines pour ceux qui sont déjà largués en cours. Les slides sont déjà là,
donc il y a toujours moyen que des nounous refassent les présentations avec un
effort peu important.

On demande à ce que les questions déjà posées aux agregs précédentes nous
soient fournies et que les EEA se mettent d'accord pour un créneau horaire.
Adam s'en charge.
