# Réunion du Collège Technique

* Date : Samedi 4 Mars 2023
* Lieu : MB85 et Galène (<https://galene.crans.org/group/CA>)
* Début : 16h00
* Fin : ~17h00
* Pad : <https://pad.crans.org/p/Samedi04Mars2023>

## Présents

* Vanille
* shirenn
* ds-ac
* Aeltheos
* bleizi
* Solal
* esum

## Ordre du jour

### DKIM

Observation: beaucoup de signatures DKIM sur un seul mail. Mailman signe le
même mail à de multiples reprises. De plus mailman.crans.org semble signer pour
crans.org ? Il ne devrait même pas avoir de clé.

Cause du problème (identifiée pendant la séance): il y avait des bypass pour
auto-signer les mails transférés en interne, cela produisait des mails
avec 3 signatures dont la 3ème était automanique pour des mails envoyés depuis
une ML.

Solution (implémentée pendant la séance): ne pas faire passer en interne les
mails concernés.

### Kea

Suggestion d'utiliser Kea (<https://packages.debian.org/bookworm/kea>) pour
remplacer notre actuel serveur DHCP qui est déprécié. Kea n'est pas encore en
production.

Le mode de configuration a été examiné pendant la séance et semble à première
vue gérable et propre. Si nous migrons il est envisagé de (1) automatiser la
migration et (2) s'y prendre à l'avance pour avoir une transition sans délai.

### Suppression d'utilisateurs

Suite au mail annuel il y a eu 17 demandes de suppression de compte.

Elles sont traitées manuellement mais il est discuté la possibilité de
permettre aux utilisateurs de supprimer eux-même leur compte.
En attendant il s'agit de garantir que la documentation des choses à supprimer
et comment est à
jour: <https://gitlab.crans.org/nounous/documentation/-/blob/master/howto/delete_user.md>

NOTE: impossible de supprimer certaines informations de facturation
avant 10 ans.

NOTE: s'assurer que les demandes de justification d'identité passent par un
canal privé plutôt que la ML de support technique.

### VoIP

Un utilisateur nous a demandé ce qui était advenu de
VoIP (cf: [[VieCrans/UtiliserVoIP]].
Nous confirmons que ce service a été désactivé il y a un certain temps pour
cause de non usage et il n'est pas envisagé de le réactiver.

### Servers: murozond et nozdormu

Demande d'ajout de ces serveurs aux racks de ServENS.
Approuvée à l'unanimité.
